# TP Loto

Énoncé du TP : [https://tp-vhdl.gitlab-pages.imt-atlantique.fr/loto/](https://tp-vhdl.gitlab-pages.imt-atlantique.fr/loto/)

## Question Loto 1 : Quels sont les signaux à renseigner dans la liste de sensibilité (si vous utilisez un process explicite) ?

La liste de sensibilité dans un cas combinatoire correspond à toutes les entrées du process. Dans notre cas (E1, E2, ..., En, Sel)


## Question Loto 2 : Que se passe-t-il si le test est incomplet, c’est-à-dire s’il ne couvre pas toutes les combinaisons d’entrées du module ? Est-ce grave ?

Le multiplexeur va permettre de vérifier le comportement de notre circuit. Ce n'est pas nécessaire de vérfier chaque combinaison, encore heureux car il y a 39 bits en entrée et 6 en sortie. Verifier chaque combinaison revient à verifier 2^39 combinaisons. Ce n'est donc pas grave

## Question Loto 3 : Ce test est-il concluant ? Est-il suffisant pour valider le module ? Justifiez.

La simulation est conluante, chaque input correspond à un ouput défini. Par exemple E0 correspond à 000001 systematiquement, E1 à 000010 etc.
Oui ça suffit, le multiplexeur fait le travail.

## Question Loto 4 : Quel(s) signal(aux) doit on renseigner dans la liste de sensibilité de ce processus séquentiel ? Pourquoi ?

Les signaux à renseigner sont la clock et le reset car il  n'y a pas besoin de "réveiller" tout le système à chaque fois.


## Question Loto 5 : Que se passe-t-il si le test est incomplet, c’est-à-dire s’il ne couvre pas toutes les combinaisons d’entrées du module ? Est-ce grave ici ?

Toutes les combinaisons binaires possibles ne sont pas testées. Le test n'est pas complet car il n'y a pas d'interet (on ne va pas tester les 64 valeurs possibles). Il doit permettre de réflechir aux conditions critiques désirées.

## Question Loto 6 : Ce test est-il concluant ? Est-il suffisant pour valider le module ? Justifiez.

Le test est concluant car les sorties sont en modulo 6. Quand I_block = 1, le compteur s'arrete jusqu'à ce que I_block = 0, alors le comptage reprend au prochain front montant.

## Question Loto 7 : Combien de processus avez-vous décris ?

1

## Question Loto 8 : De quel(s) type(s) sont-ils

Sequentiel

## Question Loto 9 : Serait-il possible de décrire cette machine d'état de manière différente, en terme de nombre et de type de process ?

Pour les étudiants SEH : pas notre cas

## Question Loto 10 : Ce test est-il concluant ? Justifiez.

Oui, on observe tous les changements d'état associé aux evenements bouton. Alternance rouge/vert à la fin.

## Question Loto 11 : Le circuit inféré par l’outil est-il conforme à l’attendu ? Sinon, en quoi diffère-t-il et est-ce lié à une erreur de description VHDL ?


## Question Loto 12 : Quelles sont les ressources utilisées sur le FPGA ? En quelle quantité/proportion des ressources disponibles ? Des **LATCHES** sont-ils utilisés ? Est-ce positif ou pas, pourquoi ?


## Question Loto 13 : Le tirage est-il aléatoire pour un humain ? pour une machine ? Justifiez.
